Probleme d'importation



  • Bonjour à tous je suis nouveaux dans le monde du développement, et je chercher à crée un mod pour cela j'ai trouver ce tuto pour m'aider : Tutoriel
    J'ai suivi d'autre tutoriel pour réglés le MDK et Eclipe maintenant je cherche comment importer le @Mod

    *Voici mon code à présent :
    *

    package fr.topycraft.ModPackTopyCraft;
    
    @Mod(modid = ModPackTopyCraft.MODID, name = "ModPackTopycraft", version = "0.1", acceptedMinecraftVersions = "[1.10.2]" )
    public class ModPackTopyCraft
    {
       public static final String MODID = "modpacktopycraft";
    }
    

    Il manque donc cette ligne de code :

    import net.minecraftforge.fml.common.Mod;
    

    Que je n'arrive pas a faire je vous laisse avec un screen général de ma fenêtre pour vous monter entièrement et vous aider à trouver ma solution merci d’avance.

    Au revoir, Galwed


  • Modérateurs

    Tu as créé une classe 'Mod' alors qu'il fallait l'importer, supprime (ou renomme si tu en as besoin) ton fichier 'Mod.java' dans ton dossier source.


  • Administrateurs

    Salut,
    Quelle dossier as-tu choisis comme workspace ?



  • Bonjour, je reviens vers vous désoler pour l'inactivité, mais je n'est pas eux le temps c’est derniers jours.
    Pour ce qui est du dossier du Workspace j'utilise le mdk proposé dans vos tutoriels c'est donc Forge 1.10.2

    *Voila le screen du dossier : *

    J'ai donc relier directement mon workspace dedans et quand je supprime le 'Mod.java' cela me remet une erreur donc au final je reviens au point du début que l'importation ne ce fais pas.

    Espérons trouver une solution à ce problème.
    Bonne journée


  • Administrateurs

    Il faut choisir le dossier eclipse qui se trouve dans ce dossier que tu as mis en image comme workspace lors du lancement d'eclipse.



  • Bon bah je vous remercie j'ai réussi a trouver la solution.